## ros-lunar-gcloud-speech-msgs 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gcloud_speech_msgs)

find_package(
  catkin REQUIRED
  COMPONENTS actionlib_msgs message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES LinearPcm16Le16000Audio.msg RecognitionHypothesis.msg)

add_action_files(DIRECTORY action FILES SpeechToText.action)

generate_messages(DEPENDENCIES actionlib_msgs std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime)

=== debian/changelog ===
ros-lunar-gcloud-speech-msgs (0.0.5-1stretch) stretch; urgency=high



 -- Shengye Wang <shengye@ucsd.edu>  Wed, 18 Apr 2018 07:00:00 -0000

ros-lunar-gcloud-speech-msgs (0.0.4-1stretch) stretch; urgency=high



 -- Shengye Wang <shengye@ucsd.edu>  Sat, 07 Oct 2017 07:00:00 -0000

ros-lunar-gcloud-speech-msgs (0.0.3-1stretch) stretch; urgency=high



 -- Shengye Wang <shengye@ucsd.edu>  Fri, 06 Oct 2017 07:00:00 -0000

ros-lunar-gcloud-speech-msgs (0.0.2-1stretch) stretch; urgency=high



 -- Shengye Wang <shengye@ucsd.edu>  Fri, 06 Oct 2017 07:00:00 -0000

ros-lunar-gcloud-speech-msgs (0.0.1-1stretch) stretch; urgency=high

  * Initial commit. (#1 <https://github.com/CogRob/gcloud_speech/issues/1>)
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Fri, 06 Oct 2017 07:00:00 -0000

=== debian/control ===
Source: ros-lunar-gcloud-speech-msgs
Section: misc
Priority: extra
Maintainer: Shengye Wang <shengye@ucsd.edu>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-actionlib-msgs, ros-lunar-catkin, ros-lunar-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-gcloud-speech-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime
Description: ROS message definitions for gcloud_speech and relevant packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-gcloud-speech-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
